Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5099)
@@ -1,9 +1,9 @@
-!
+
 ! $Id$
-!
+
 MODULE limit_read_mod
-!
+
 ! This module reads the fichier "limit.nc" containing fields for surface forcing.
-!
+
 ! Module subroutines :
 !  limit_read_frac    : call limit_read_tot and return the fractions
@@ -11,5 +11,5 @@
 !  limit_read_sst     : return sea ice temperature   
 !  limit_read_tot     : read limit.nc and store the fields in local modules variables
-!
+
   IMPLICIT NONE
 
@@ -51,5 +51,5 @@
   
   SUBROUTINE limit_read_frac(itime, dtime, jour, pctsrf_new, is_modified)
-!
+
 ! This subroutine is called from "change_srf_frac" for case of 
 ! ocean=force or from ocean_slab_frac for ocean=slab.
@@ -86,9 +86,9 @@
        knon, knindex, &
        rugos_out, alb_out)
-!
+
 ! This subroutine is called from surf_land_bucket. 
 ! The flag "ok_veget" must can not be true. If coupled run, "ocean=couple"
 ! then this routine will call limit_read_tot.
-!
+
     USE dimphy
     USE surface_data
@@ -128,7 +128,7 @@
 
   SUBROUTINE limit_read_sst(knon, knindex, sst_out)
-!
+
 ! This subroutine returns the sea surface temperature already read from limit.nc.
-!
+
     USE dimphy, ONLY : klon
 
@@ -151,7 +151,7 @@
 
   SUBROUTINE limit_read_tot(itime, dtime, jour, is_modified)
-!
+
 ! Read everything needed from limit.nc
-!
+
 ! 0) Initialize
 ! 1) Open the file limit.nc, if it is time
@@ -214,5 +214,5 @@
 !****************************************************************************************
 ! 0) Initialization
-!
+
 !****************************************************************************************
     IF (first_call) THEN
@@ -235,5 +235,5 @@
        IF (is_mpi_root) THEN ! Only master processus
           ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,&
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
 
@@ -241,5 +241,5 @@
           ierr=NF90_INQ_VARID(nid, 'TEMPS', nvarid)
           ierr=NF90_GET_ATT(nid, nvarid, 'calendar', calendar)
-          IF(ierr==NF90_NOERR.AND.calendar/=calend.AND.prt_level>=1) THEN
+          IF(ierr==nf90_noerr.AND.calendar/=calend.AND.prt_level>=1) THEN
              WRITE(lunout,*)'BEWARE: gcm and limit.nc calendars differ: '
              WRITE(lunout,*)'  '//TRIM(calend)//' for gcm'
@@ -253,5 +253,5 @@
             ierr=NF90_INQUIRE(nid, UnlimitedDimID=ndimid)
           ENDIF
-          ierr=NF90_INQUIRE_DIMENSION(nid, ndimid, len=nn)
+          ierr=nf90_inquire_dimension(nid, ndimid, len=nn)
           WRITE(abort_message,'(a,2(i0,a))')'limit.nc records number (',nn,') does no'//&
             't match year length (',year_len,')'
@@ -264,5 +264,5 @@
             ierr=nf90_inq_dimid(nid, 'points_physiques', ndimid)
           ENDIF
-          ierr=NF90_INQUIRE_DIMENSION(nid, ndimid, len=nn)
+          ierr=nf90_inquire_dimension(nid, ndimid, len=nn)
           WRITE(abort_message,'(a,2(i0,a))')'limit.nc horizontal number of cells (',nn, &
             ') does not match LMDZ klon_glo (',klon_glo,')'
@@ -270,5 +270,5 @@
 
           ierr = NF90_CLOSE(nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Pb when closing file', 1)
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        END IF ! is_mpi_root
 !$OMP END MASTER
@@ -280,5 +280,5 @@
 !    The file is read only by the master thread of the master mpi process(is_mpi_root)
 !    Check by the way if the number of records is correct.
-!
+
 !****************************************************************************************
 
@@ -333,5 +333,5 @@
 
           ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,&
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
 
@@ -345,40 +345,40 @@
 !****************************************************************************************
 ! 2) Read fraction if not type_ocean=couple
-!
+
 !****************************************************************************************
 
           IF ( type_ocean /= 'couple') THEN
-!
+
 ! Ocean fraction
              ierr = NF90_INQ_VARID(nid, 'FOCE', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname, 'Le champ <FOCE> est absent',1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname, 'Le champ <FOCE> est absent',1)
              
-             ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_oce),start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FOCE>' ,1)
-!
+             ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_oce),start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FOCE>' ,1)
+
 ! Sea-ice fraction
              ierr = NF90_INQ_VARID(nid, 'FSIC', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FSIC> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_sic),start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FSIC>' ,1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FSIC> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_sic),start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FSIC>' ,1)
 
 
 ! Read land and continentals fraction only if asked for
              IF (read_continents .OR. itime == 1) THEN
-!
+
 ! Land fraction
                 ierr = NF90_INQ_VARID(nid, 'FTER', nvarid)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FTER> est absent',1)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FTER> est absent',1)
                 
-                ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_ter),start,epais)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FTER>',1)
-!
+                ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_ter),start,epais)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FTER>',1)
+
 ! Continentale ice fraction
                 ierr = NF90_INQ_VARID(nid, 'FLIC', nvarid)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FLIC> est absent',1)
-
-                ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_lic),start,epais)
-                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FLIC>',1)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FLIC> est absent',1)
+
+                ierr = nf90_get_var(nid,nvarid,pct_glo(:,is_lic),start,epais)
+                IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <FLIC>',1)
              END IF
 
@@ -387,13 +387,13 @@
 !****************************************************************************************
 ! 3) Read sea-surface temperature, if not coupled ocean
-!
+
 !****************************************************************************************
           IF ( type_ocean /= 'couple') THEN
 
              ierr = NF90_INQ_VARID(nid, 'SST', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <SST> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,sst_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <SST>',1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <SST> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,sst_glo,start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <SST>',1)
           
           END IF
@@ -401,22 +401,22 @@
 !****************************************************************************************
 ! 4) Read albedo and rugosity for land surface, only in case of no vegetation model
-!
+
 !****************************************************************************************
 
           IF (.NOT. ok_veget) THEN
-!
+
 ! Read albedo
              ierr = NF90_INQ_VARID(nid, 'ALB', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <ALB> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,alb_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <ALB>',1)
-!
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <ALB> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,alb_glo,start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <ALB>',1)
+
 ! Read rugosity
              ierr = NF90_INQ_VARID(nid, 'RUG', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <RUG> est absent',1)
-
-             ierr = NF90_GET_VAR(nid,nvarid,rug_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <RUG>',1)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <RUG> est absent',1)
+
+             ierr = nf90_get_var(nid,nvarid,rug_glo,start,epais)
+             IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Lecture echouee pour <RUG>',1)
 
           END IF
@@ -424,8 +424,8 @@
 !****************************************************************************************
 ! 5) Close file and distribuate variables to all processus
-!
+
 !****************************************************************************************
           ierr = NF90_CLOSE(nid)
-          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Pb when closing file', 1)
+          IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        ENDIF ! is_mpi_root
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5099)
@@ -62,5 +62,5 @@
         
         ierr = NF90_OPEN ('limit_slab.nc', NF90_NOWRITE, nid)
-        IF (ierr /= NF90_NOERR) THEN
+        IF (ierr /= nf90_noerr) THEN
             PRINT *,'LIMIT_SLAB file not found'
             read_bils=.FALSE.
@@ -77,7 +77,7 @@
 !****************************************************************************************
 ! 2) Read bils and SST/ ice volume tendency
-!
+
 !****************************************************************************************
-!
+
 ! Read bils_glo
         bils_glo(:,:)=0.
@@ -85,16 +85,16 @@
         ! try first "BILS_OCE01"
         ierr = NF90_INQ_VARID(nid, 'BILS_OCE01', nvarid)
-        IF (ierr /= NF90_NOERR) THEN
+        IF (ierr /= nf90_noerr) THEN
             ! Else BILS_OCE
             ierr = NF90_INQ_VARID(nid, 'BILS_OCE', nvarid)
-            IF (ierr /= NF90_NOERR) THEN
+            IF (ierr /= nf90_noerr) THEN
               read_bils=.FALSE.
             ELSE
-              ierr = NF90_GET_VAR(nid,nvarid,bils_glo(:,1),start,epais)
-              IF (ierr /= NF90_NOERR) read_bils=.FALSE.
+              ierr = nf90_get_var(nid,nvarid,bils_glo(:,1),start,epais)
+              IF (ierr /= nf90_noerr) read_bils=.FALSE.
             ENDIF
         ELSE
-            ierr = NF90_GET_VAR(nid,nvarid,bils_glo(:,1),start,epais)
-            IF (ierr /= NF90_NOERR) read_bils=.FALSE.
+            ierr = nf90_get_var(nid,nvarid,bils_glo(:,1),start,epais)
+            IF (ierr /= nf90_noerr) read_bils=.FALSE.
         END IF
         ! Try next layers if more than 1
@@ -103,8 +103,8 @@
             WRITE(str2,'(i2.2)') i
             ierr = NF90_INQ_VARID(nid,'BILS_OCE'//str2, nvarid)
-            IF (ierr==NF90_NOERR) THEN
-              ierr = NF90_GET_VAR(nid,nvarid,bils_glo(:,i),start,epais)
+            IF (ierr==nf90_noerr) THEN
+              ierr = nf90_get_var(nid,nvarid,bils_glo(:,i),start,epais)
             ENDIF
-            IF (ierr /= NF90_NOERR) THEN
+            IF (ierr /= nf90_noerr) THEN
               print *,'WARNING : BILS_OCE not found for layer 2'
             ENDIF
@@ -114,37 +114,37 @@
 ! Read sst_glo for this day
         ierr = NF90_INQ_VARID(nid, 'SST', nvarid)
-        IF (ierr /= NF90_NOERR)  THEN
+        IF (ierr /= nf90_noerr)  THEN
             read_sst=.FALSE.
         ELSE
-            ierr = NF90_GET_VAR(nid,nvarid,sst_l_glo,start,epais)
-            IF (ierr /= NF90_NOERR) read_sst=.FALSE.
+            ierr = nf90_get_var(nid,nvarid,sst_l_glo,start,epais)
+            IF (ierr /= nf90_noerr) read_sst=.FALSE.
 ! Read sst_glo for one day ahead
             start(2) = jour + 1
             IF (start(2) > 360) start(2)=1
-            ierr = NF90_GET_VAR(nid,nvarid,sst_lp1_glo,start,epais)
-            IF (ierr /= NF90_NOERR) read_sst=.FALSE.
+            ierr = nf90_get_var(nid,nvarid,sst_lp1_glo,start,epais)
+            IF (ierr /= nf90_noerr) read_sst=.FALSE.
         END IF
 
 ! Read siv_glo for this day
         ierr = NF90_INQ_VARID(nid, 'SICV', nvarid)
-        IF (ierr /= NF90_NOERR)  THEN
+        IF (ierr /= nf90_noerr)  THEN
             read_siv=.FALSE.
         ELSE
             start(2) = jour
-            ierr = NF90_GET_VAR(nid,nvarid,siv_l_glo,start,epais)
-            IF (ierr /= NF90_NOERR) read_siv=.FALSE.
+            ierr = nf90_get_var(nid,nvarid,siv_l_glo,start,epais)
+            IF (ierr /= nf90_noerr) read_siv=.FALSE.
 ! Read siv_glo for one day ahead
             start(2) = jour + 1
             IF (start(2) > 360) start(2)=1
-            ierr = NF90_GET_VAR(nid,nvarid,siv_lp1_glo,start,epais)
-            IF (ierr /= NF90_NOERR) read_siv=.FALSE.
+            ierr = nf90_get_var(nid,nvarid,siv_lp1_glo,start,epais)
+            IF (ierr /= nf90_noerr) read_siv=.FALSE.
         END IF
 
 !****************************************************************************************
 ! 5) Close file and distribute variables to all processus
-!
+
 !****************************************************************************************
         ierr = NF90_CLOSE(nid)
-        IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Pb when closing file', 1)
+        IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
         END IF ! Read File 
         IF (read_sst) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5099)
@@ -12,5 +12,5 @@
 ! Routine that computes turbulent Km / Kh coefficients with a
 ! 1.5 order closure scheme (TKE) with or without stationarity assumption
-!
+
 ! This parameterization has been constructed in the framework of a
 ! collective and collaborative workshop, 
@@ -18,5 +18,5 @@
 ! K. Arjdal, L. Raillard, C. Dehondt, P. Tiengou, A. Spiga, F. Cheruy, T Dubos, 
 ! M. Coulon-Decorzens, S. Fromang, G. Riviere, A. Sima, F. Hourdin, E. Vignon
-!
+
 ! Main assumptions of the model :
 ! (1) horizontal homogeneity (Dx=Dy=0.)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5099)
@@ -219,5 +219,5 @@
               ! dqb/dt_sub=-c_sub(1-qv/qsi)*qb
               ! c_sub=coef_sub_bs*6*rhoair/(rhobs*pi*r_bs**2)/(Aprime+Bprime)
-              ! 
+
               ! Note the strong coupling between specific contents of water vapor and blowing snow during sublimation
               ! equations dqv/dt_sub and dqb/dt_sub must be solved jointly to prevent irrealistic increase of water vapor
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5099)
@@ -43,5 +43,5 @@
   !          M. Coulon-Decorzens: replayisation of the routine + cleaning
   !                               and commentaries
-  !
+
   ! Aim: compute condensate optical properties,
   !      cloud optical depth and emissivity
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5099)
@@ -1226,15 +1226,4 @@
 !     end
 END SUBROUTINE cloudth_vert_v3
-!
-
-
-
-
-
-
-
-
-
-
 
        SUBROUTINE cloudth_v6(ngrid,klev,ind2,  &
@@ -1842,13 +1831,13 @@
 
 !        ELSE ! mpc_bl_points>0
-!
+
 !            ! Treat boundary layer mixed phase clouds
-!            
+
 !            ! thermals
 !            !=========
-!
+
 !           ! ice phase
 !           !...........
-!
+
 !            qiceth=0.
 !            deltazlev_mpc=dz(ind1,:)
@@ -1866,8 +1855,8 @@
 !                iflag_topthermals = 0
 !            ENDIF
-!
+
 !            CALL ICE_MPC_BL_CLOUDS(ind1,ind2,klev,Ni,Ei,C_cap,d_top,iflag_topthermals,temp_mpc,pres_mpc,zqta(ind1,:), &
 !                                   qsith(ind1,:),qlth(ind1,:),deltazlev_mpc,wiceth(ind1,:),fraca_mpc,qith(ind1,:))
-!
+
 !            ! qmax calculation
 !            sigma2s=(sigma2s_factor*((MAX((sthl-senvl),0.)**2)**0.5)/((fraca(ind1,ind2)+0.02)**sigma2s_power))+0.002*zqta(ind1,ind2)
@@ -1885,20 +1874,20 @@
 !            IntI3_CF=(sqrt2*sigma2s*(exp_xth1-exp_xth2))/(4*sqrtpi*deltasth)
 !            qmax=MAX(IntJ+IntI1+IntI2+IntI3,0.)
-!
-!
+
+
 !            ! Liquid phase
 !            !................
 !            ! We account for the effect of ice crystals in thermals on sthl
 !            ! and on the width of the distribution
-!
+
 !            sthlc=sthl*1./(1.+C_mpc*qith(ind1,ind2))  &
 !                + (1.-1./(1.+C_mpc*qith(ind1,ind2))) * athl*(qsith(ind1,ind2)-qslth(ind1))  
-!
+
 !            sigma2sc=(sigma2s_factor*((MAX((sthlc-senvl),0.)**2)**0.5) &
 !                 /((fraca(ind1,ind2)+0.02)**sigma2s_power)) &
 !                 +0.002*zqta(ind1,ind2)
 !            deltasthc=athl*vert_alpha_th*sigma2sc
-!     
-!            
+
+
 !            xth1=-(sthlc+deltasthc)/(sqrt(2.)*sigma2sc)
 !            xth2=-(sthlc-deltasthc)/(sqrt(2.)*sigma2sc)           
@@ -1913,14 +1902,14 @@
 !            IntI3_CF=(sqrt2*sigma2sc*(exp_xth1-exp_xth2))/(4*sqrtpi*deltasthc)
 !            qliqth=IntJ+IntI1+IntI2+IntI3
-!            
+
 !            qlth(ind1,ind2)=MAX(0.,qliqth)
-!
+
 !            ! Condensed water
-!            
+
 !            qcth(ind1,ind2)=qlth(ind1,ind2)+qith(ind1,ind2)
-!
-!
+
+
 !            ! consistency with subgrid distribution
-!           
+
 !             IF ((qcth(ind1,ind2) .GT. qmax) .AND. (qcth(ind1,ind2) .GT. 0)) THEN
 !                 fraci=qith(ind1,ind2)/qcth(ind1,ind2)
@@ -1929,5 +1918,5 @@
 !                 qlth(ind1,ind2)=(1.-fraci)*qmax
 !             ENDIF
-!
+
 !            ! Cloud Fraction
 !            !...............
@@ -1937,5 +1926,5 @@
 !            ! sbase and qbase calculation (note that sbase is wrt liq so negative)
 !            ! look for an approximate solution with iteration
-!            
+
 !            ttarget=qcth(ind1,ind2)
 !            mini= athl*(qsith(ind1,ind2)-qslth(ind1))
@@ -1957,10 +1946,10 @@
 !            ENDDO
 !            qbase=MAX(0., sbase/athl+qslth(ind1))
-!
+
 !            ! surface cloud fraction in thermals
 !            cth(ind1,ind2)=0.5*(1.-erf((sbase-sthl)/sqrt(2.)/sigma2s))
 !            cth(ind1,ind2)=MIN(MAX(cth(ind1,ind2),0.),1.)
-!
-!
+
+
 !            !volume cloud fraction in thermals
 !            !to be checked
@@ -1969,8 +1958,8 @@
 !            exp_xth1 = exp(-1.*xth1**2)
 !            exp_xth2 = exp(-1.*xth2**2)
-!
+
 !            IntJ=0.5*sthl*(1-erf(xth2))+(sigma2s/sqrt2pi)*exp_xth2
 !            IntJ_CF=0.5*(1.-1.*erf(xth2))
-!     
+
 !            IF (deltasth .LT. 1.e-10) THEN
 !              cth_vol(ind1,ind2)=IntJ_CF
@@ -1984,12 +1973,12 @@
 !            ENDIF
 !              cth_vol(ind1,ind2)=MIN(MAX(0.,cth_vol(ind1,ind2)),1.)
-!
-!
-!
+
+
+
 !            ! Environment
 !            !=============
 !            ! In the environment/downdrafts, only liquid clouds
 !            ! See Shupe et al. 2008, JAS
-!
+
 !            ! standard deviation of the distribution in the environment
 !            sth=sthl
@@ -1999,10 +1988,10 @@
 !            ! for mixed phase clouds, there is no contribution from large scale ratqs to the distribution
 !            ! in the environement
-!
+
 !            sigma1s_ratqs=1E-10
 !            IF (cloudth_ratqsmin>0.) THEN
 !                sigma1s_ratqs = cloudth_ratqsmin*po(ind1)
 !            ENDIF
-!
+
 !            sigma1s = sigma1s_fraca + sigma1s_ratqs
 !            IF (iflag_ratqs.eq.11) then
@@ -2017,12 +2006,12 @@
 !            exp_xenv1 = exp(-1.*xenv1**2)
 !            exp_xenv2 = exp(-1.*xenv2**2)
-!
+
 !            !surface CF
 !            cenv(ind1,ind2)=0.5*(1.-1.*erf(xenv1))
-!
+
 !            !volume CF and condensed water
 !            IntJ=0.5*senvl*(1-erf(xenv2))+(sigma1s/sqrt2pi)*exp_xenv2
 !            IntJ_CF=0.5*(1.-1.*erf(xenv2))
-!
+
 !            IF (deltasenv .LT. 1.e-10) THEN
 !              qcenv(ind1,ind2)=IntJ
@@ -2037,10 +2026,10 @@
 !              cenv_vol(ind1,ind2)=IntJ_CF+IntI1_CF+IntI3_CF
 !            ENDIF
-!
+
 !            qcenv(ind1,ind2)=MAX(qcenv(ind1,ind2),0.)
 !            cenv_vol(ind1,ind2)=MIN(MAX(cenv_vol(ind1,ind2),0.),1.)
-!
-!
-!            
+
+
+
 !            ! Thermals + environment
 !            ! ======================= 
@@ -2056,5 +2045,5 @@
 !                icefrac(ind1,ind2)=0.
 !            ENDIF
-!
+
 !            IF (cenv(ind1,ind2).LT.1.e-10.or.cth(ind1,ind2).LT.1.e-10) THEN
 !                ctot(ind1,ind2)=0.
@@ -2068,5 +2057,5 @@
 !                            +(1.-1.*fraca(ind1,ind2))*(qcenv(ind1,ind2)/cenv(ind1,ind2)),0.)
 !            ENDIF 
-!
+
 !        ENDIF ! mpc_bl_points
 
@@ -2078,5 +2067,5 @@
 ! parameterization of ice for boundary
 ! layer mixed-phase clouds assuming a stationary system
-!
+
 ! Note that vapor deposition on ice crystals and riming of liquid droplets
 ! depend on the ice number concentration Ni
@@ -2089,30 +2078,30 @@
 ! By default we take 2.0L-1=2.0e3m-3, median value from measured vertical profiles near Svalbard
 ! in Mioche et al. 2017
-!
-!
+
+
 ! References:
 !------------
 ! This parameterization is thoroughly described in Vignon et al. 
-!
+
 ! More specifically
 ! for the Water vapor deposition process:
-!
+
 ! Rotstayn, L. D., 1997: A physically based scheme for the treat-
 ! ment of stratiform cloudfs and precipitation in large-scale
 ! models. I: Description and evaluation of the microphysical
 ! processes. Quart. J. Roy. Meteor. Soc., 123, 1227–1282.
-!
+
 !  Morrison, H., and A. Gettelman, 2008: A new two-moment bulk
 !  stratiform cloud microphysics scheme in the NCAR Com-
 !  munity Atmosphere Model (CAM3). Part I: Description and
 !  numerical tests. J. Climate, 21, 3642–3659
-!
+
 ! for the Riming process:
-!
+
 ! Rutledge, S. A., and P. V. Hobbs, 1983: The mesoscale and micro-
 ! scale structure and organization of clouds and precipitation in
 ! midlatitude cyclones. VII: A model for the ‘‘seeder-feeder’’
 ! process in warm-frontal rainbands. J. Atmos. Sci., 40, 1185–1206
-!
+
 ! Thompson, G., R. M. Rasmussen, and K. Manning, 004: Explicit
 ! forecasts of winter precipitation using an improved bulk
@@ -2120,15 +2109,15 @@
 ! forecasts of winter precipitation using an improved bulk
 ! microphysics scheme. Part I: Description and sensitivity analysis. Mon. Wea. Rev., 132, 519–542
-!
+
 ! For the formation of clouds by thermals:
-!
+
 ! Rio, C., & Hourdin, F. (2008). A thermal plume model for the convective boundary layer : Representation of cumulus clouds. Journal of
 ! the Atmospheric Sciences, 65, 407–425.
-!
+
 ! Jam, A., Hourdin, F., Rio, C., & Couvreux, F. (2013). Resolved versus parametrized boundary-layer plumes. Part III: Derivation of a
 ! statistical scheme for cumulus clouds. Boundary-layer Meteorology, 147, 421–441. https://doi.org/10.1007/s10546-012-9789-3
-!
-!
-!
+
+
+
 ! Contact: Etienne Vignon, etienne.vignon@lmd.ipsl.fr
 !=============================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5099)
@@ -31,9 +31,9 @@
 !--------------------------------------------------------------------------------
 ! Aim: Large Scale Clouds and Precipitation (LSCP)
-!
+
 ! This code is a new version of the fisrtilp.F90 routine, which is itself a 
 ! merge of 'first' (superrsaturation physics, P. LeVan K. Laval)
 ! and 'ilp' (il pleut, L. Li)
-!
+
 ! Compared to the original fisrtilp code, lscp
 ! -> assumes thermcep = .TRUE. all the time (fisrtilp inconsistent when .FALSE.)
@@ -47,5 +47,5 @@
 !--------------------------------------------------------------------------------
 ! References: 
-!
+
 ! - Bony, S., & Emanuel, K. A. 2001, JAS, doi: 10.1175/1520-0469(2001)058<3158:APOTCA>2.0.CO;2
 ! - Hourdin et al. 2013, Clim Dyn, doi:10.1007/s00382-012-1343-y
@@ -56,5 +56,5 @@
 ! -------------------------------------------------------------------------------
 ! Code structure:
-!
+
 ! P0>     Thermalization of the precipitation coming from the overlying layer
 ! P1>     Evaporation of the precipitation (falling from the k+1 level)
@@ -69,8 +69,8 @@
 !------------------------------------------------------------------------------
 ! Some preliminary comments (JBM) :
-!
+
 ! The cloud water that the radiation scheme sees is not the same that the cloud
 ! water used in the physics and the dynamics 
-! 
+
 ! During the autoconversion to precipitation (P3 step), radocond (cloud water used
 ! by the radiation scheme) is calculated as an average of the water that remains
@@ -78,13 +78,13 @@
 ! of the time step. The latter is used in the rest of the physics and advected
 ! by the dynamics. 
-!
+
 ! In summary:
-!
+
 ! Radiation:
 ! xflwc(newmicro)+xfiwc(newmicro) =
 !   radocond=lwcon(nc)+iwcon(nc)
-!
+
 ! Notetheless, be aware of:
-!
+
 ! radocond .NE. ocond(nc)
 ! i.e.:
@@ -93,5 +93,4 @@
 ! (which is not trivial)
 !++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!
 
 ! USE de modules contenant des fonctions.
@@ -710,5 +709,5 @@
     ! P2> Cloud formation
     !---------------------------------------------------------------------
-    !
+
     ! Unlike fisrtilp, we always assume a 'fractional cloud' approach 
     ! i.e. clouds occupy only a fraction of the mesh (the subgrid distribution
@@ -1445,5 +1444,5 @@
 
     !--save some variables for ice supersaturation
-    !
+
     DO i = 1, klon
         ! for memory 
